package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;

/** Shows the syntax of a command. This matches the X-Midas command of the same name, see also
    Defaults.

    see Defaults
    @see Explain

    @author  J. Czechowski IV
    @since   NeXtMidas 2.5.4
*/
public class Syntax extends Intrinsic {

  /** default constructor */
  public Syntax () {}

  public int open() {
    String name   = MA.getS("NAME");
    String syntax = M.dictionary.getSyntax(name);
    M.info(syntax);

    return FINISH;
  }
}
